This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 277591 - Samba missing from gnome menus
Samba missing from gnome menus
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
8
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 19:55 EDT by Carl Preddy
Modified: 2008-11-26 04:58 EST (History)
2 users (show)

See Also:
Fixed In Version: F-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 04:58:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Preddy 2007-09-04 19:55:41 EDT
Description of problem:
Unlike prior releases, installing Samba does not add an item for
system-config-samba to the Gnome menu tree

Version-Release number of selected component (if applicable):
(root@hat8:~)# rpm -qa *samba*
samba-3.0.25c-4.fc8
samba-common-3.0.25c-4.fc8
system-config-samba-1.2.48-1.fc8
samba-client-3.0.25c-4.fc8

How reproducible: As a test I used "yum remove" for all of the above, then "yum
install samba system-config-samba". The result is unchanged - no path to samba
config tool in Gnome menus.

Steps to Reproduce:
None; just install Windows fileserver from the pirut or yum install as above
  
Actual results:
system-config-samba can be started from command line but not from menu

Expected results:
On F7, and item "Samba" appears under System Preferences / System. On prior
versions it was found under Administration / Server Settings. 

Additional info:
Comment 1 Nils Philippsen 2007-09-10 03:47:20 EDT
Should be fixed in system-config-samba-1.2.51-1.fc8. Please test.
Comment 2 Carl Preddy 2007-09-11 22:18:12 EDT
system-config-samba-1.2.50-1.fc8 is installed and there is now a Server Settings
submenu that includes Samba. When I force update to 1.2.51 from the development
repo I find that "Samba" has migrated from Server Settings to the main menu. It
still works, but this does not seem consistent with where Samba was slotted on
previous Fedora releases. Server Settings seems more appropriate.
Comment 3 Nils Philippsen 2007-09-12 02:44:03 EDT
In that case I'd suggest that you, instead of using the Rawhide (F8) version,
use the version from Fedora 7 updates-testing:

http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/7/x86_64/system-config-samba-1.2.51-1.fc7.noarch.rpm

The versions built for F7 and F8 are indeed different with regard to the
"application category" which causes the menu placement. That's because the menu
placement code is different between F7 and F8.

Prior to installing the F8 version, you could have updated to this version also
with yum:

yum --enablerepo=updates-testing update system-config-samba

Now that you have this later version installed, you can:

yum remove system-config-samba
yum --enablerepo=updates-testing install system-config-samba
Comment 4 Nils Philippsen 2007-09-12 02:44:49 EDT
Meh. I've confused your bug with another one. Disregard what I said in comment #3.
Comment 5 Nils Philippsen 2007-09-12 02:53:34 EDT
Once more (with feeling).

In bug #245890 I was requested to change the app category to "System;Settings;"
which apparently is the way to go for system config tools in F8. I've just
checked that the desktop file in the F8 package of system-config-samba-1.2.51
indeed is just "Categories=System;Settings;" and nothing else.

If that results in the placement of system-config-samba right in the root of the
menu, the menu generating code still has to be adapted to do the right thing
with it.

Do you use GNOME or KDE or a different Desktop Environment?
Comment 6 Carl Preddy 2007-09-12 18:17:44 EDT
Its Gnome. I wonder if it should be "Categories=System;Server Settings;" since I
do not see and menu category called simply "Settings"
Comment 7 Nils Philippsen 2007-09-13 03:17:06 EDT
No it shouldn't, the categories don't map 1:1 on menu names. Our GNOME people
requested me to change the category as it is now -- if it doesn't work, there'll
be a problem in the panel where I believe the menus are generated. Changing
component to gnome-panel.
Comment 8 Bug Zapper 2008-04-04 09:45:12 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-11-26 02:44:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Nils Philippsen 2008-11-26 04:58:49 EST
On F10, this is in System->Administration->Samba. Closing.

Note You need to log in before you can comment on or make changes to this bug.